cURL
curl --request GET \
--url https://api.eka.care/abdm/v1/profile/asset/card \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.eka.care/abdm/v1/profile/asset/card"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.eka.care/abdm/v1/profile/asset/card', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}Profile Management
ABHA card
Fetch the ABHA card.
Please cache these results locally. We do not recommend calling this API on every page load. Evict the cache when there is profile update.
GET
/
abdm
/
v1
/
profile
/
asset
/
card
cURL
Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Query Parameters
OID is used to Identify the user.
Response
OK
The response is of type file.
Was this page helpful?
⌘I

